Bug 1272544 - keepassx grep window
keepassx grep window
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qt (Show other bugs)
6.7
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 13:11 EDT by jason.prokopowich
Modified: 2017-09-14 07:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
actual window (29.09 KB, image/png)
2015-10-16 13:11 EDT, jason.prokopowich
no flags Details
ipcs_out (320.04 KB, text/plain)
2015-10-19 12:36 EDT, jason.prokopowich
no flags Details
grep output (454.98 KB, text/plain)
2015-10-21 11:13 EDT, jason.prokopowich
no flags Details
xrestop attached. (16.34 KB, text/plain)
2015-10-23 07:56 EDT, jason.prokopowich
no flags Details

  None (edit)
Description jason.prokopowich 2015-10-16 13:11:10 EDT
Created attachment 1083778 [details]
actual window

Description of problem:
When trying to use keepassx the window malfunctions by becoming grep with missing input blocks.


Version-Release number of selected component (if applicable):
keepassx.x86_64  0.4.3-7.el6

How reproducible:
starting keepassx via commandline or via menu.

Steps to Reproduce:
1. start keepassx
2.
3.

Actual results:
grey windows missing input blocks and malfunctioning dropdown menus.

errors,
$ keepassx

(<unknown>:18307): Gdk-WARNING **: shmget failed: error 28 (No space left on device)
QNativeImage: Unable to attach to shared memory segment. 
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9


note:
$ df -h
Filesystem           Size  Used Avail Use% Mounted on
/dev/mapper/vg-root   39G   24G   13G  65% /
tmpfs                3.8G  680K  3.8G   1% /dev/shm
/dev/sda1            976M  317M  609M  35% /boot
/dev/mapper/vg-log   976M   89M  837M  10% /var/log


Expected results:
To work as expected.

Additional info:
starting the app via the following seems to resolve the issue,
$ QT_X11_NO_MITSHM=1 keepassx
Comment 1 Orion Poplawski 2015-10-16 13:30:58 EDT
What does:

ipcs -ml
ipcs -mu
ipcs -m

report?  Does a reboot clear things up?
Comment 2 jason.prokopowich 2015-10-19 12:36 EDT
Created attachment 1084459 [details]
ipcs_out
Comment 3 jason.prokopowich 2015-10-19 12:37:33 EDT
# ipcs -ml

------ Shared Memory Limits --------
max number of segments = 4096
max seg size (kbytes) = 67108864
max total shared memory (kbytes) = 17179869184
min seg size (bytes) = 1

# ipcs -mu

------ Shared Memory Status --------
segments allocated 4095
pages allocated 841907
pages resident  1931
pages swapped   0
Swap performance: 0 attempts	 0 successes

# ipcs -m
*** see attached***
Comment 4 jason.prokopowich 2015-10-19 12:38:29 EDT
Rebooted once with no change.
Comment 5 Orion Poplawski 2015-10-19 21:59:51 EDT
Well, that's definitely the issue - you're out of shared memory segments (4095 allocated out of a max of 4096).   Now to figure out what is allocating them.  Seems like we can do:

grep /SYSV /proc/*/maps

and perhaps see what process is sucking up lots of shared memory segments.
Comment 6 jason.prokopowich 2015-10-21 11:13 EDT
Created attachment 1085199 [details]
grep output

I have attached the requested output.
Comment 7 Orion Poplawski 2015-10-21 11:15:01 EDT
What is process 3707?  (ps -fp 3707)
Comment 8 jason.prokopowich 2015-10-22 08:32:18 EDT
root      3707  3703  0 Oct14 tty7     01:18:19 /usr/bin/Xorg :1 -br -verbose -audit 4 -auth /var/run/gdm/auth-for-gdm-YiInvc/database -nolisten tcp
Comment 9 Orion Poplawski 2015-10-22 12:07:42 EDT
Likely a Qt issue.  Output of "xrestop -b -m 1" may be helpful.
Comment 11 jason.prokopowich 2015-10-23 07:56 EDT
Created attachment 1085820 [details]
xrestop attached.

Note You need to log in before you can comment on or make changes to this bug.